function [] = print_weight(w12, b2, w23, b3, HiddenFunc, OutFunc,maze_i, maze_j)
% PRINT_QTABLE : Print Q table.
%
% Syntax : PRINT_QTABLE(Q_table);
%
% Input  : Q_table (Requred) : N x 4 (The number of states x The number of actions)
%
% Output : 
% 
% See also TABLE, DISP, PRINT_ROUTE.
%

    a = zeros(4,0);
    %
    % Repeat for the number of states in the Q Table.
    % Convert each Action into a column vector to create a Table.
    fprintf('W12\n');
    disp(w12.');
    fprintf('\n');
    
    fprintf('b2\n');
    disp(b2);
    fprintf('\n');
    
    fprintf('W23\n');
    disp(w23.');
    fprintf('\n');
    
    fprintf('b3\n');
    disp(b3);
    fprintf('\n');
    
    fprintf('Q\n');                         % Output the actual value used to determine the action.
    for current_state_num = 1:maze_i*maze_j
        st = zeros(maze_i*maze_j,1);        % Create One hot input from state
        st(current_state_num) = 1;

        X = st;                             % Input (State Number)
    
        z2 = w12.' * X + b2;                % Weighted sum of the hidden layers z2
        if(HiddenFunc == "sigmoid")
            a2 = 1./(1+exp(-z2));           % Output a2 of the hidden layer (activation function: sigmoid function)
        end

        z3 = w23.' * a2 + b3;               % Weighted sum of the output layers z3
    if(OutFunc == 'Linear')
        a3 = z3;      % Output of output layer a3 (activation function: lenear function)
    end
    
        a = [a,a3];
        
    end
    disp(a);
end

